#ifndef AFFICHERCAISSE_H
#define AFFICHERCAISSE_H
#include"caisse.h"
#include <QDialog>
#include "arduino.h"
#include "QSystemTrayIcon"
namespace Ui {
class affichercaisse;
}

class affichercaisse : public QDialog
{
    Q_OBJECT

public:
    explicit affichercaisse(QWidget *parent = 0);
    ~affichercaisse();

private slots:
    void on_afficher_clicked();

    void on_pushButton_clicked();

    void on_trier_clicked();
    void update_label();

private:
    Ui::affichercaisse *ui;
     caisse  tmpcaisse;

     QByteArray data1;// variable contenant les données reçues

             Arduino A;
             QSystemTrayIcon *notifier;


};

#endif // AFFICHERCAISSE_H
